diff --git a/js/src/jsapi-tests/moz.build b/js/src/jsapi-tests/moz.build
index 277a145b0..bbdc66682 100644
--- a/js/src/jsapi-tests/moz.build
+++ b/js/src/jsapi-tests/moz.build
@@ -147,7 +147,7 @@ USE_LIBS += [
 OS_LIBS += CONFIG['MOZ_ZLIB_LIBS']
 
 if CONFIG['GNU_CXX']:
-    CXXFLAGS += ['-Wno-shadow', '-Werror=format', '-fno-strict-aliasing']
+    CXXFLAGS += ['-Wno-shadow', '-fno-strict-aliasing']
 
 # This is intended as a temporary workaround to enable VS2015.
 if CONFIG['_MSC_VER']:
diff --git a/js/src/moz.build b/js/src/moz.build
index 888741138..6a5a7e12c 100644
--- a/js/src/moz.build
+++ b/js/src/moz.build
@@ -779,7 +779,7 @@ if CONFIG['JS_HAS_CTYPES']:
 if CONFIG['GNU_CXX']:
     # Disable strict-aliasing for GCC, which is enabled by default
     # starting with version 7.1, see Mozilla bug 1363009.
-    CXXFLAGS += ['-Wno-shadow', '-Werror=format', '-fno-strict-aliasing']
+    CXXFLAGS += ['-Wno-shadow', '-fno-strict-aliasing']
 
 # Suppress warnings in third-party code.
 if CONFIG['CLANG_CXX'] or CONFIG['GNU_CXX']:
diff --git a/js/src/shell/moz.build b/js/src/shell/moz.build
index e18bad238..d315de884 100644
--- a/js/src/shell/moz.build
+++ b/js/src/shell/moz.build
@@ -51,7 +51,7 @@ shellmoduleloader.inputs = [
 ]
 
 if CONFIG['GNU_CXX']:
-    CXXFLAGS += ['-Wno-shadow', '-Werror=format']
+    CXXFLAGS += ['-Wno-shadow']
 
 # This is intended as a temporary workaround to enable VS2015.
 if CONFIG['_MSC_VER']:
